﻿namespace anbs_cp.Interfaces;

/// <summary>
/// Интерфейс конвертера величин для отображения (улучшенный аналог IValueFormatter)
/// </summary>
public interface IValueConverter
{
    /// <summary>
    /// Массив имён размерностей
    /// </summary>
    public string[] ValueNames { get; init; }

    /// <summary>
    /// Делитель
    /// </summary>
    public long Divider { get; init; }

    /// <summary>
    /// Знаков после запятой (0, 1, 2)
    /// </summary>
    public byte DecimalPlaces  { get; init; }
}