﻿namespace anbs_cp.OsInfo.Interfaces;

/// <summary>
/// Информация о процессоре
/// </summary>
public interface IOsProcessorInfo: IOsBasicInfo
{
    /// <summary>
    /// Заголовок
    /// </summary>

    /// <summary>
    /// Производитель
    /// </summary>
    public string? Manufacturer { get; set; }

    /// <summary>
    /// Максимальная тактовая частота
    /// </summary>
    public int MaxClockSpeed { get; set; }

    /// <summary>
    /// Число ядер
    /// </summary>
    public int NumberOfCores { get; set; }

    /// <summary>
    /// Число потоков
    /// </summary>
    public int NumberOfLogicalProcessors { get; set; }
}