﻿namespace anbs_cp.Interfaces;

/// <summary>
/// Интерфейс ошибки
/// </summary>
public interface IActionError : IActionStateMessage
{
    /// <summary>
    /// Критичность ошибки:
    /// при некритичных ошибках продолжение выполнения операции возможно,
    /// а при критичных -- нет
    /// </summary>
    public bool IsCritical { get; init; }
}