﻿using Microsoft.AspNetCore.Http;

namespace anbs_cp.ForNet.Classes;

/// <summary>
/// Класс -- расширение для класса File
/// </summary>
public class NetFileExtension
{
    /// <summary>
    /// Получает MIME-тип файла
    /// </summary>
    /// <param name="file">Загружаемый файл</param>
    /// <returns>MIME-тип файла</returns>
    public static string MIMEType (IFormFile file) =>
        file.ContentType;
}