﻿namespace anbs_cp.OsInfo.Interfaces;

/// <summary>
/// Базовые параметры устройства
/// </summary>
public interface IOsBasicInfo
{
    /// <summary>
    /// Заголовок
    /// </summary>
    public string? Caption { get; set; }

    /// <summary>
    /// Описание
    /// </summary>
    public string? Description { get; set; }

    /// <summary>
    /// Идентификатор устройства
    /// </summary>
    public string? DeviceId { get; set; }

    /// <summary>
    /// Имя устройства
    /// </summary>
    public string? Name { get; set; }
}