﻿namespace anbs_cp.OsInfo.Interfaces;

/// <summary>
/// Информация о Windows
/// </summary>
public interface IOsWindowsInfo: IOsBasicInfo
{
    /// <summary>
    /// Версия
    /// </summary>
    public string? Version { get; set; }

    /// <summary>
    /// 64-разрядная ОС
    /// </summary>
    public bool Is64 { get; set; }

    /// <summary>
    /// Имя компьютера
    /// </summary>
    public string? PcName { get; set; }

    /// <summary>
    /// Путь к папке Windows
    /// </summary>
    public string? WindowsFolder { get; set; }
}